summaryrefslogtreecommitdiff
path: root/recipes/opkg
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/opkg')
-rw-r--r--recipes/opkg/files/configure23
-rw-r--r--recipes/opkg/opkg-nogpg-nocurl_svn.bb2
-rw-r--r--recipes/opkg/opkg-nogpg_svn.bb2
-rw-r--r--recipes/opkg/opkg.inc8
-rw-r--r--recipes/opkg/opkg_svn.bb19
5 files changed, 36 insertions, 18 deletions
diff --git a/recipes/opkg/files/configure b/recipes/opkg/files/configure
new file mode 100644
index 0000000000..318ccb19c3
--- /dev/null
+++ b/recipes/opkg/files/configure
@@ -0,0 +1,23 @@
+#!/bin/sh
+# get splash funcs
+if [ -f /etc/default/splashfuncs ]; then
+ . /etc/default/splashfuncs
+## tell boot status to "pulsate" really long busy cycle here
+status_pulse || true
+fi
+
+# run configure in bg
+opkg-cl configure &
+PID=$!
+
+if [ -f /etc/default/splashfuncs ]; then
+ # while configure still running loop
+ while test -d /proc/$PID; do
+ # tick to splash so it doesn't time out
+ status_tick || true
+ sleep 1
+ done
+fi
+
+# delete myself
+rm -f /etc/rcS.d/S98configure
diff --git a/recipes/opkg/opkg-nogpg-nocurl_svn.bb b/recipes/opkg/opkg-nogpg-nocurl_svn.bb
index 6f8b446ead..60da447696 100644
--- a/recipes/opkg/opkg-nogpg-nocurl_svn.bb
+++ b/recipes/opkg/opkg-nogpg-nocurl_svn.bb
@@ -11,7 +11,7 @@ SRC_URI += " \
file://opkg_wget_nogpg_03_fix_tmpdirs.patch;patch=1 \
file://opkg_wget_nogpg_04_default_tmpdir.patch;patch=1 \
"
-PR = "r5"
+PR = "r6"
SRCREV = "${SRCREV_pn-opkg}"
diff --git a/recipes/opkg/opkg-nogpg_svn.bb b/recipes/opkg/opkg-nogpg_svn.bb
index a9297d7645..c0a4d4a6e8 100644
--- a/recipes/opkg/opkg-nogpg_svn.bb
+++ b/recipes/opkg/opkg-nogpg_svn.bb
@@ -3,7 +3,7 @@ require opkg_svn.bb
DEPENDS = "curl"
PROVIDES += "opkg"
-PR = "r3"
+PR = "r12"
SRCREV = "${SRCREV_pn-opkg}"
diff --git a/recipes/opkg/opkg.inc b/recipes/opkg/opkg.inc
index be8287734b..e986c8deb6 100644
--- a/recipes/opkg/opkg.inc
+++ b/recipes/opkg/opkg.inc
@@ -7,10 +7,18 @@ PV = "0.1.6+svnr${SRCREV}"
SRC_URI = "svn://opkg.googlecode.com/svn;module=trunk;proto=http \
file://opkg_unarchive.patch;patch=1;maxrev=201"
+
+SRC_URI += "file://configure"
+
S = "${WORKDIR}/trunk"
inherit autotools pkgconfig
+do_install_prepend() {
+ install -d ${D}${sysconfdir}/rcS.d
+ install -m 0755 ${WORKDIR}/configure ${D}${sysconfdir}/rcS.d/S98configure
+}
+
do_stage() {
autotools_stage_all
}
diff --git a/recipes/opkg/opkg_svn.bb b/recipes/opkg/opkg_svn.bb
index a4728970ce..749fa1e975 100644
--- a/recipes/opkg/opkg_svn.bb
+++ b/recipes/opkg/opkg_svn.bb
@@ -1,6 +1,6 @@
require opkg.inc
-PR = "r2"
+PR = "r12"
PACKAGES =+ "libopkg-dev libopkg"
@@ -13,22 +13,9 @@ OPKG_INIT_POSITION = "98"
OPKG_INIT_POSITION_slugos = "41"
pkg_postinst_${PN} () {
-#!/bin/sh
-if [ "x$D" != "x" ]; then
- install -d $D${sysconfdir}/rcS.d
- # this happens at S98 where our good 'ole packages script used to run
- echo "#!/bin/sh
-opkg-cl configure
-rm -f ${sysconfdir}/rcS.d/S${OPKG_INIT_POSITION}configure
-" > $D${sysconfdir}/rcS.d/S${OPKG_INIT_POSITION}configure
- chmod 0755 $D${sysconfdir}/rcS.d/S${OPKG_INIT_POSITION}configure
-fi
-
-update-alternatives --install ${bindir}/opkg opkg ${bindir}/opkg-cl 100
+ update-alternatives --install ${bindir}/opkg opkg ${bindir}/opkg-cl 100
}
pkg_postrm_${PN} () {
-#!/bin/sh
-update-alternatives --remove opkg ${bindir}/opkg-cl
+ update-alternatives --remove opkg ${bindir}/opkg-cl
}
-